Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.spi.groupedgrid.model
Interface VGroupedGridPackage

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier

All Known Implementing Classes:
  VGroupedGridPackageImpl

    public interface VGroupedGridPackage

extends org.eclipse.emf.ecore.EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

Since:
  1.2
See Also:
  `VGroupedGridFactory`

Nested Class Summary
`static interface` | `VGroupedGridPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Field Summary
`static VGroupedGridPackage` | `eINSTANCE` The singleton instance of the package.
`static String` | `eNAME` The package name.
`static String` | `eNS_PREFIX` The package namespace name.
`static String` | `eNS_URI` The package namespace URI.
`static int` | `GROUP` The meta object id for the '`Group` ' class.
`static int` | `GROUP__NAME` The feature id for the 'Name' attribute.
`static int` | `GROUP__ROWS` The feature id for the 'Rows' containment reference list.
`static int` | `GROUP_FEATURE_COUNT` The number of structural features of the 'Group' class.
`static int` | `GROUPED_GRID` The meta object id for the '`Grouped Grid`' class.
`static int` | `GROUPED_GRID__ATTACHMENTS` The feature id for the 'Attachments' containment reference list.
`static int` | `GROUPED_GRID__DIAGNOSTIC` The feature id for the 'Diagnostic' containment reference.
`static int` | `GROUPED_GRID__ENABLED` The feature id for the 'Enabled' attribute.
`static int` | `GROUPED_GRID__GROUPS` The feature id for the 'Groups' containment reference list.
`static int` | `GROUPED_GRID__NAME` The feature id for the 'Name' attribute.
`static int` | `GROUPED_GRID__READONLY` The feature id for the 'Readonly' attribute.
`static int` | `GROUPED_GRID__VISIBLE` The feature id for the 'Visible' attribute.
`static int` | `GROUPED_GRID_FEATURE_COUNT` The number of structural features of the 'Grouped Grid' class.
`static int` | `ROW` The meta object id for the '`Row`' class.
`static int` | `ROW__CHILDREN` The feature id for the 'Children' containment reference list.
`static int` | `ROW_FEATURE_COUNT` The number of structural features of the 'Row' class.
`static int` | `SPAN` The meta object id for the '`Span`' class.
`static int` | `SPAN__HORIZONTAL_SPAN` The feature id for the 'Horizontal Span' attribute.
`static int` | `SPAN_FEATURE_COUNT` The number of structural features of the 'Span' class.

Method Summary
`org.eclipse.emf.ecore.EAttribute` | `getGroup_Name()` Returns the meta object for the attribute '`Name`'.
`org.eclipse.emf.ecore.EReference` | `getGroup_Rows()` Returns the meta object for the containment reference list ' `Rows`'.
`org.eclipse.emf.ecore.EClass` | `getGroup()` Returns the meta object for class '`Group`'.
`org.eclipse.emf.ecore.EReference` | `getGroupedGrid_Groups()` Returns the meta object for the containment reference list ' `Groups`'.
`org.eclipse.emf.ecore.EClass` | `getGroupedGrid()` Returns the meta object for class '`Grouped Grid`'.
`VGroupedGridFactory` | `getGroupedGridFactory()` Returns the factory that creates the instances of the model.
`org.eclipse.emf.ecore.EReference` | `getRow_Children()` Returns the meta object for the containment reference list ' `Children`'.
`org.eclipse.emf.ecore.EClass` | `getRow()` Returns the meta object for class '`Row`'.
`org.eclipse.emf.ecore.EAttribute` | `getSpan_HorizontalSpan()` Returns the meta object for the attribute ' `Horizontal Span`'.
`org.eclipse.emf.ecore.EClass` | `getSpan()` Returns the meta object for class '`Span`'.

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### eNAME

    static final String eNAME

  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final VGroupedGridPackage eINSTANCE

  The singleton instance of the package.

### GROUPED_GRID

    static final int GROUPED_GRID

  The meta object id for the '`Grouped Grid`' class.

  See Also:
    `VGroupedGridImpl`, `VGroupedGridPackageImpl.getGroupedGrid()`, Constant Field Values

### GROUPED_GRID__NAME

    static final int GROUPED_GRID__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### GROUPED_GRID__VISIBLE

    static final int GROUPED_GRID__VISIBLE

  The feature id for the 'Visible' attribute.

  See Also:
    Constant Field Values

### GROUPED_GRID__ENABLED

    static final int GROUPED_GRID__ENABLED

  The feature id for the 'Enabled' attribute.

  See Also:
    Constant Field Values

### GROUPED_GRID__READONLY

    static final int GROUPED_GRID__READONLY

  The feature id for the 'Readonly' attribute.

  See Also:
    Constant Field Values

### GROUPED_GRID__DIAGNOSTIC

    static final int GROUPED_GRID__DIAGNOSTIC

  The feature id for the 'Diagnostic' containment reference.

  See Also:
    Constant Field Values

### GROUPED_GRID__ATTACHMENTS

    static final int GROUPED_GRID__ATTACHMENTS

  The feature id for the 'Attachments' containment reference list.

  See Also:
    Constant Field Values

### GROUPED_GRID__GROUPS

    static final int GROUPED_GRID__GROUPS

  The feature id for the 'Groups' containment reference list.

  See Also:
    Constant Field Values

### GROUPED_GRID_FEATURE_COUNT

    static final int GROUPED_GRID_FEATURE_COUNT

  The number of structural features of the 'Grouped Grid' class.

  See Also:
    Constant Field Values

### GROUP

    static final int GROUP

  The meta object id for the '`Group` ' class.

  See Also:
    `VGroupImpl`, `VGroupedGridPackageImpl.getGroup()`, Constant Field Values

### GROUP__ROWS

    static final int GROUP__ROWS

  The feature id for the 'Rows' containment reference list.

  See Also:
    Constant Field Values

### GROUP__NAME

    static final int GROUP__NAME

  The feature id for the 'Name' attribute.

  See Also:
    Constant Field Values

### GROUP_FEATURE_COUNT

    static final int GROUP_FEATURE_COUNT

  The number of structural features of the 'Group' class.

  See Also:
    Constant Field Values

### ROW

    static final int ROW

  The meta object id for the '`Row`' class.

  See Also:
    `VRowImpl`, `VGroupedGridPackageImpl.getRow()`, Constant Field Values

### ROW__CHILDREN

    static final int ROW__CHILDREN

  The feature id for the 'Children' containment reference list.

  See Also:
    Constant Field Values

### ROW_FEATURE_COUNT

    static final int ROW_FEATURE_COUNT

  The number of structural features of the 'Row' class.

  See Also:
    Constant Field Values

### SPAN

    static final int SPAN

  The meta object id for the '`Span`' class.

  See Also:
    `VSpanImpl`, `VGroupedGridPackageImpl.getSpan()`, Constant Field Values

### SPAN__HORIZONTAL_SPAN

    static final int SPAN__HORIZONTAL_SPAN

  The feature id for the 'Horizontal Span' attribute.

  See Also:
    Constant Field Values

### SPAN_FEATURE_COUNT

    static final int SPAN_FEATURE_COUNT

  The number of structural features of the 'Span' class.

  See Also:
    Constant Field Values

Method Detail

### getGroupedGrid

    org.eclipse.emf.ecore.EClass getGroupedGrid()

  Returns the meta object for class '`Grouped Grid`'.

  Returns:
    the meta object for class 'Grouped Grid'.
  See Also:
    `VGroupedGrid`

### getGroupedGrid_Groups

    org.eclipse.emf.ecore.EReference getGroupedGrid_Groups()

  Returns the meta object for the containment reference list ' `Groups`'.

  Returns:
    the meta object for the containment reference list 'Groups'.
  See Also:
    `VGroupedGrid.getGroups()`, `getGroupedGrid()`

### getGroup

    org.eclipse.emf.ecore.EClass getGroup()

  Returns the meta object for class '`Group`'.

  Returns:
    the meta object for class 'Group'.
  See Also:
    `VGroup`

### getGroup_Rows

    org.eclipse.emf.ecore.EReference getGroup_Rows()

  Returns the meta object for the containment reference list ' `Rows`'.

  Returns:
    the meta object for the containment reference list 'Rows'.
  See Also:
    `VGroup.getRows()`, `getGroup()`

### getGroup_Name

    org.eclipse.emf.ecore.EAttribute getGroup_Name()

  Returns the meta object for the attribute '`Name`'.

  Returns:
    the meta object for the attribute 'Name'.
  See Also:
    `VGroup.getName()`, `getGroup()`

### getRow

    org.eclipse.emf.ecore.EClass getRow()

  Returns the meta object for class '`Row`'.

  Returns:
    the meta object for class 'Row'.
  See Also:
    `VRow`

### getRow_Children

    org.eclipse.emf.ecore.EReference getRow_Children()

  Returns the meta object for the containment reference list ' `Children`'.

  Returns:
    the meta object for the containment reference list 'Children'.
  See Also:
    `VRow.getChildren()`, `getRow()`

### getSpan

    org.eclipse.emf.ecore.EClass getSpan()

  Returns the meta object for class '`Span`'.

  Returns:
    the meta object for class 'Span'.
  See Also:
    `VSpan`

### getSpan_HorizontalSpan

    org.eclipse.emf.ecore.EAttribute getSpan_HorizontalSpan()

  Returns the meta object for the attribute ' `Horizontal Span`'.

  Returns:
    the meta object for the attribute 'Horizontal Span'.
  See Also:
    `VSpan.getHorizontalSpan()`, `getSpan()`

### getGroupedGridFactory

    VGroupedGridFactory getGroupedGridFactory()

  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.